Subject: [AAA-WG]: Diameter EAP: Are Redirects sufficient?

From: Bernard Aboba <[email-masked]>
Date: Thu, 15 May 2003 14:48:37 -0700 (PDT)

As a hypothetical, what if Diameter EAP were to strongly discourage use of
proxies, and encourage use of redirects instead.  Would any important
usage scenarios be compromised by such an approach?  The advantage of only
using redirects if that the Diameter connections would be end-to-end and
therefore keys would not be available to intermediaries.  This would
simplify the security analysis enormously and would allow us to avoid a
dependency on CMS, which seems to lack much interest in the WG.